Bug 1026442 - NetworkManager VPN offers neither openvpn nor vpnc
NetworkManager VPN offers neither openvpn nor vpnc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 11:16 EST by Jeremy Harris
Modified: 2014-08-28 10:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-28 07:59:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Harris 2013-11-04 11:16:42 EST
Description of problem:

  The NetworkManager gui, on adding a VPN, does not offer VPNC or Openvpn,
  despite NetWorkManager-openvpn & NetworkManager-vpnc being installed.


Version-Release number of selected component (if applicable):


How reproducible:

  100%.  Both Gnome and Xfce environments.


Steps to Reproduce:
1. Attempt to configure VPN
2. Fail.
3. Cry.

Actual results:
  Only Cisco-AnyConnect and L2TP are offered.

Expected results:

More than

Additional info:
  F20-alpha DVD install, updated via yum.
  Worked under F19.
  Both Gnome and Xfce environments.
Comment 1 Jeremy Harris 2013-11-22 13:02:01 EST
Installing NetworkManager-gnome-vpnc helps (even under xfce).  Perhaps this is a missing dependency issue.
Comment 2 Jirka Klimes 2013-11-25 04:16:30 EST
Yeah, the plugin packages were split into two parts (main VPN service and GUI stuff),

So, NetworkManager-vpnc source package now contains NetworkManager-vpnc and NetworkManager-vpnc-gnome packages. NetworkManager-vpnc-gnome is needed for nm-applet/nm-connection-editor.
Comment 3 Matthew Davis 2014-03-03 13:39:33 EST
I can confirm that installing NetworkManager-openvpn-gnome & NetworkManager-vpnc-gnome in Fedora20 allows for vpnc/openvpnc configuration under NetworkManager under XFCE (have not tested in Gnome, but I suspect it works there now too).
Comment 4 Jeremy Harris 2014-08-28 10:11:26 EDT
Does this mean the dependency has now been added?

Note You need to log in before you can comment on or make changes to this bug.